Index: trunk/LMDZ.TITAN/libf/phytitan/calchim.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1543)
@@ -17,5 +17,4 @@
       use common_mod, only:utilaer,maer,prodaer,csn,csh,psurfhaze,
      .                     NLEV,NLRT,NC,ND,NR
-      USE comgeomphy,  only: rlatd
       USE moyzon_mod, only: tmoy,playmoy,zlaymoy,zlevmoy,klat
       use mod_grid_phy_lmdz, only: nbp_lat
Index: trunk/LMDZ.TITAN/libf/phytitan/comgeomphy.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/comgeomphy.F90	(revision 1540)
+++ 	(revision )
@@ -1,23 +1,0 @@
-module comgeomphy
-   real,save,allocatable :: airephy(:)
-   real,save,allocatable :: cuphy(:)
-   real,save,allocatable :: cvphy(:)
-   real,save,allocatable :: rlatd(:)
-   real,save,allocatable :: rlond(:)
-!$OMP THREADPRIVATE(airephy,cuphy,cvphy,rlatd,rlond)
-contains
-  
-  subroutine initcomgeomphy
-  USE mod_phys_lmdz_para
-  implicit none
-    
- 
-    allocate(airephy(klon_omp))
-    allocate(cuphy(klon_omp))
-    allocate(cvphy(klon_omp))
-    allocate(rlatd(klon_omp))
-    allocate(rlond(klon_omp))
-
-  end subroutine initcomgeomphy
-  
-end module comgeomphy
Index: trunk/LMDZ.TITAN/libf/phytitan/init_phys_lmdz.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/init_phys_lmdz.F90	(revision 1540)
+++ 	(revision )
@@ -1,25 +1,0 @@
-!
-!$Header$
-!
-SUBROUTINE init_phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
-  USE dimphy, ONLY : init_dimphy
-  USE infotrac, ONLY : type_trac
-
-  IMPLICIT NONE
-  
-    INTEGER,INTENT(in) :: iim
-    INTEGER,INTENT(in) :: jjp1
-    INTEGER,INTENT(in) :: llm
-    INTEGER,INTENT(in) :: nb_proc
-    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
-
-
-    CALL init_grid_phy_lmdz(iim,jjp1,llm)
-    CALL init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
-!$OMP PARALLEL
-    CALL init_dimphy(klon_omp,nbp_lev)
-!$OMP END PARALLEL
- 
-END SUBROUTINE init_phys_lmdz  
Index: trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1543)
@@ -65,5 +65,5 @@
          use dimphy
 c         use radcommon_h, only : volume,rayon,vrat,drayon,dvolume
-         USE comgeomphy,  only: rlatd
+         USE geometry_mod,  only: latitude
 
          IMPLICIT NONE
@@ -235,5 +235,5 @@
 c***************************************************************
         if((IHOR.eq.1)    
-     & .or.(rlatd(IHOR).ne.rlatd(im1))
+     & .or.(latitude(IHOR).ne.latitude(im1))
      & .or.(microfi.eq.2)) then
 c***************************************************************
Index: trunk/LMDZ.TITAN/libf/phytitan/pg2.old
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1543)
@@ -42,5 +42,5 @@
 
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: latitude
 #include "dimensions.h"
 #include "microtab.h"
@@ -180,5 +180,5 @@
       lati(1)     = 0.5*RPI
       DO ig=2,ngrid-1
-        lati(ig)  = rlatd(2+(ig-2)*iim)*RPI/180.
+        lati(ig)  = latitude(2+(ig-2)*iim)*RPI/180.
       ENDDO
       lati(ngrid) = -0.5*RPI
@@ -197,9 +197,9 @@
 c     print*,"ENTREE PG2 PREMIER APPEL"
 c     print*,airetot,' airetot?= ',4.*RPI*RA*RA
-c     print*,1,rlatd(1),aire(1),aire(1)/airetot,' aires'
+c     print*,1,latitude(1),aire(1),aire(1)/airetot,' aires'
 c     DO ig=2,ngrid-1
-c     print*,ig,rlatd(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
+c     print*,ig,latitude(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
 c     ENDDO
-c     print*,ngrid,rlatd(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
+c     print*,ngrid,latitude(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
 c     stop
       
Index: trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1543)
@@ -13,5 +13,5 @@
       USE iostart
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      USE geometry_mod,  only: latitude,longitude
       USE time_phylmdz_mod, only: itau_phy, raz_date
 
@@ -76,5 +76,5 @@
 
 ! read latitudes
-call get_field("latitude",rlatd,found)
+call get_field("latitude",latitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <latitude> est absent'
@@ -83,5 +83,5 @@
 
 ! read longitudes
-call get_field("longitude",rlond,found)
+call get_field("longitude",longitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <longitude> est absent'
@@ -319,6 +319,6 @@
       resch4(1) = 0.    ! pole nord = 1 point
       DO i=2,klon
-          if ((rlatd(i).ge.75..and.rlatd(i).le.85.).or.  &
-              (rlatd(i).ge.-85.and.rlatd(i).le.-75.)) then
+          if ((latitude(i).ge.75..and.latitude(i).le.85.).or.  &
+              (latitude(i).ge.-85.and.latitude(i).le.-75.)) then
             resch4(i) = 2.
           else
@@ -352,5 +352,5 @@
 
 ! do some more initializations
-call init_iophy_new(rlatd,rlond)
+call init_iophy_new(latitude,longitude)
 
 end subroutine phyetat0
Index: trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1543)
@@ -12,5 +12,5 @@
                           put_var,put_field
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      USE geometry_mod,  only: longitude, latitude
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
 
@@ -64,7 +64,8 @@
 
       CALL put_field("longitude", &
-                     "Longitudes de la grille physique",rlond)
+                     "Longitudes de la grille physique",longitude)
      
-      CALL put_field("latitude","Latitudes de la grille physique",rlatd)
+      CALL put_field("latitude", &
+                     "Latitudes de la grille physique",latitude)
 
 ! variables
Index: trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1543)
@@ -58,5 +58,5 @@
       USE infotrac
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: longitude, latitude, cell_area, dx, dy
       use cpdet_mod, only: cpdet, t2tpot
       USE mod_phys_lmdz_para, only : is_parallel,jj_nb
@@ -678,5 +678,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after dynamic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -685,5 +685,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -726,5 +726,5 @@
       DO k = 1, klev
        DO i = 1, klon
-        omega(i,k) = RG*flxmw(i,k) / airephy(i)
+        omega(i,k) = RG*flxmw(i,k) / cell_area(i)
        END DO
       END DO
@@ -786,5 +786,5 @@
 
        DO i=2,klon
-        if (rlatd(i).ne.rlatd(i-1)) then
+        if (latitude(i).ne.latitude(i-1)) then
          DO l=1,klev
 c         zzlaybar(i,l)=(zphibar(i,l)+zphisbar(i))/RG
@@ -861,8 +861,8 @@
 
 c dans zenang, Ls en degres ; dans mucorr, Ls en radians
-      call mucorr(klon,zls,rlatd,rmu0bar,fractbar)
+      call mucorr(klon,zls,latitude,rmu0bar,fractbar)
       IF (cycle_diurne) THEN
         zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
-        CALL zenang(zlsdeg,gmtime,zdtime,rlatd,rlond,rmu0,fract)
+        CALL zenang(zlsdeg,gmtime,zdtime,latitude,longitude,rmu0,fract)
       ELSE
         rmu0  = rmu0bar
@@ -917,5 +917,5 @@
      $            paprs,pplay,ppk,radsol,falbe,
      e            solsw, sollw, sollwdown, fder,
-     e            rlond, rlatd, cuphy, cvphy,   
+     e            longitude, latitude, dx, dy,   
      e            debut, lafin,
      s            d_t_vdf,d_u_vdf,d_v_vdf,d_ts,
@@ -966,8 +966,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after clmain'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-         call diagphy(airephy,ztit,ip_ebil
+         call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1055,8 +1055,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after dry_adjust'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1270,8 +1270,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after rad'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1368,5 +1368,5 @@
 c A ADAPTER POUR VENUS ET TITAN!!!
 c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-c     e                   rlatd,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   latitude,zmea,zstd,zpic,zgam,zthe,zpic,zval,
 c     e                   igwd,idx,itest,
 c     e                   t_seri, u_seri, v_seri,
@@ -1425,5 +1425,5 @@
 c====================================================================
       if (ballons.eq.1) then
-         CALL ballon(30,pdtphys,rjourvrai,gmtime,rlatd,rlond,
+         CALL ballon(30,pdtphys,rjourvrai,gmtime,latitude,longitude,
 c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
      C               t,pplay,u,v,zphi)   ! alt above planet average radius
@@ -1459,5 +1459,5 @@
       CALL aaam_bud (27,klon,klev,rjourvrai,gmtime,
      C               ra,rg,romega,
-     C               rlatd,rlond,pphis,
+     C               latitude,longitude,pphis,
      C               zustrdr,zustrli,zustrcl,
      C               zvstrdr,zvstrli,zvstrcl,
@@ -1499,5 +1499,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after physic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -1506,5 +1506,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1545,7 +1545,7 @@
 c     DO k = 1, klev
 c     DO i = 1, klon
-c       mang(i,k) = RA*cos(rlatd(i)*RPI/180.)
-c    .     *(u_seri(i,k)+RA*cos(rlatd(i)*RPI/180.)*ROMEGA)
-c    .     *airephy(i)*(paprs(i,k)-paprs(i,k+1))/RG
+c       mang(i,k) = RA*cos(latitude(i)*RPI/180.)
+c    .     *(u_seri(i,k)+RA*cos(latitude(i)*RPI/180.)*ROMEGA)
+c    .     *cell_area(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
 c     ENDDO
Index: trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1543)
@@ -35,5 +35,4 @@
 c======================================================================
       use dimphy
-      USE comgeomphy
       USE phys_state_var_mod, only: falbe,heat,cool,radsol,
      .      topsw,toplw,solsw,sollw,sollwdown,lwnet,swnet,
Index: trunk/LMDZ.TITAN/libf/phytitan/radtitan.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1543)
@@ -33,5 +33,5 @@
       USE infotrac
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: latitude
       USE optcld, only : iniqcld
       use moyzon_mod, only:plevmoy
@@ -214,5 +214,5 @@
           somcoslat=0.
           do j=1,klon
-	    coslat(j) = cos(rlatd(j)*RPI/180.)
+	    coslat(j) = cos(latitude(j)*RPI/180.)
             somcoslat=somcoslat+coslat(j)
           enddo
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histday.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 1543)
@@ -14,5 +14,5 @@
 
       call histwrite_phy(nid_day,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_day,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_day,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histins.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histins.h	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histins.h	(revision 1543)
@@ -14,5 +14,5 @@
 
       call histwrite_phy(nid_ins,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_ins,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_ins,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 1540)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 1543)
@@ -11,5 +11,5 @@
 
       call histwrite_phy(nid_mth,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_mth,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_mth,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
